<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: BulletCard Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classBulletCard-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">BulletCard Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for BulletCard:</div>
<div class="dyncontent">
<div class="center"><img src="classBulletCard__inherit__graph.png" border="0" usemap="#aBulletCard_inherit__map" alt="Inheritance graph"/></div>
<map name="aBulletCard_inherit__map" id="aBulletCard_inherit__map">
<area shape="rect" title=" " alt="" coords="25,229,116,256"/>
<area shape="rect" href="classBanditCard.html" title=" " alt="" coords="23,155,118,181"/>
<area shape="rect" href="classCard.html" title=" " alt="" coords="45,80,97,107"/>
<area shape="rect" title=" " alt="" coords="5,5,136,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for BulletCard:</div>
<div class="dyncontent">
<div class="center"><img src="classBulletCard__coll__graph.png" border="0" usemap="#aBulletCard_coll__map" alt="Collaboration graph"/></div>
<map name="aBulletCard_coll__map" id="aBulletCard_coll__map">
<area shape="rect" title=" " alt="" coords="25,229,116,256"/>
<area shape="rect" href="classBanditCard.html" title=" " alt="" coords="23,155,118,181"/>
<area shape="rect" href="classCard.html" title=" " alt="" coords="45,80,97,107"/>
<area shape="rect" title=" " alt="" coords="5,5,136,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a95f3ad2d86e63b664d513805774b0190"><td class="memItemLeft" align="right" valign="top"><a id="a95f3ad2d86e63b664d513805774b0190"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>BulletCard</b> (BanditType bandit, unsigned numOfBullets)</td></tr>
<tr class="separator:a95f3ad2d86e63b664d513805774b0190"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4ad91375db5b122daa54d26740cbbc3"><td class="memItemLeft" align="right" valign="top"><a id="af4ad91375db5b122daa54d26740cbbc3"></a>
<a class="el" href="classCard.html">Card</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>Copy</b> () const override</td></tr>
<tr class="separator:af4ad91375db5b122daa54d26740cbbc3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e3b65862144c85bc352928192570119"><td class="memItemLeft" align="right" valign="top"><a id="a7e3b65862144c85bc352928192570119"></a>
const unsigned &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>numOfBullets</b> () const</td></tr>
<tr class="separator:a7e3b65862144c85bc352928192570119"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a14cc9051b654f11da8eb132a0558a0"><td class="memItemLeft" align="right" valign="top"><a id="a7a14cc9051b654f11da8eb132a0558a0"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setNumOfBullets</b> (const unsigned &amp;newNumOfBullets)</td></tr>
<tr class="separator:a7a14cc9051b654f11da8eb132a0558a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b181c1e01a23836932feb963bc474c6"><td class="memItemLeft" align="right" valign="top"><a id="a2b181c1e01a23836932feb963bc474c6"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>toString</b> () const override</td></tr>
<tr class="separator:a2b181c1e01a23836932feb963bc474c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0c39637f03987d83db8f44916b18f17"><td class="memItemLeft" align="right" valign="top"><a id="ab0c39637f03987d83db8f44916b18f17"></a>
CardType&#160;</td><td class="memItemRight" valign="bottom"><b>Type</b> () const override</td></tr>
<tr class="separator:ab0c39637f03987d83db8f44916b18f17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08b0af1f1b228cd8c0f0c525a9d19527"><td class="memItemLeft" align="right" valign="top"><a id="a08b0af1f1b228cd8c0f0c525a9d19527"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>paint</b> (QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget) override</td></tr>
<tr class="separator:a08b0af1f1b228cd8c0f0c525a9d19527"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classBanditCard"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classBanditCard')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classBanditCard.html">BanditCard</a></td></tr>
<tr class="memitem:aeb65ada722ffa38e3e160d7ae642ae74 inherit pub_methods_classBanditCard"><td class="memItemLeft" align="right" valign="top"><a id="aeb65ada722ffa38e3e160d7ae642ae74"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>BanditCard</b> (BanditType bandit)</td></tr>
<tr class="separator:aeb65ada722ffa38e3e160d7ae642ae74 inherit pub_methods_classBanditCard"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a711e41606cf24501181a09192ece55e2 inherit pub_methods_classBanditCard"><td class="memItemLeft" align="right" valign="top"><a id="a711e41606cf24501181a09192ece55e2"></a>
BanditType&#160;</td><td class="memItemRight" valign="bottom"><b>bandit</b> () const</td></tr>
<tr class="separator:a711e41606cf24501181a09192ece55e2 inherit pub_methods_classBanditCard"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a870bf573dc75222e4de943985eeff338 inherit pub_methods_classBanditCard"><td class="memItemLeft" align="right" valign="top"><a id="a870bf573dc75222e4de943985eeff338"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setBandit</b> (BanditType newBandit)</td></tr>
<tr class="separator:a870bf573dc75222e4de943985eeff338 inherit pub_methods_classBanditCard"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classCard"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classCard')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classCard.html">Card</a></td></tr>
<tr class="memitem:a2a3492d5ca05d25e41baa9757b582018 inherit pub_methods_classCard"><td class="memItemLeft" align="right" valign="top"><a id="a2a3492d5ca05d25e41baa9757b582018"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setFaceUp</b> (bool newFaceUp)</td></tr>
<tr class="separator:a2a3492d5ca05d25e41baa9757b582018 inherit pub_methods_classCard"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a71a275a58c831ff43aed02c58cb77def inherit pub_methods_classCard"><td class="memItemLeft" align="right" valign="top"><a id="a71a275a58c831ff43aed02c58cb77def"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>faceUp</b> () const</td></tr>
<tr class="separator:a71a275a58c831ff43aed02c58cb77def inherit pub_methods_classCard"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf37e521ce4fdf70939374c621d28c4c inherit pub_methods_classCard"><td class="memItemLeft" align="right" valign="top"><a id="aaf37e521ce4fdf70939374c621d28c4c"></a>
virtual int&#160;</td><td class="memItemRight" valign="bottom"><b>height</b> () const</td></tr>
<tr class="separator:aaf37e521ce4fdf70939374c621d28c4c inherit pub_methods_classCard"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5dbb20327a547f072b8259832bd4da4a inherit pub_methods_classCard"><td class="memItemLeft" align="right" valign="top"><a id="a5dbb20327a547f072b8259832bd4da4a"></a>
virtual int&#160;</td><td class="memItemRight" valign="bottom"><b>width</b> () const</td></tr>
<tr class="separator:a5dbb20327a547f072b8259832bd4da4a inherit pub_methods_classCard"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24b04c8a99f55d212db91c8d3507339a inherit pub_methods_classCard"><td class="memItemLeft" align="right" valign="top"><a id="a24b04c8a99f55d212db91c8d3507339a"></a>
virtual QRectF&#160;</td><td class="memItemRight" valign="bottom"><b>boundingRect</b> () const</td></tr>
<tr class="separator:a24b04c8a99f55d212db91c8d3507339a inherit pub_methods_classCard"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a731947ca9a438d2af418586414b3e2c9 inherit pub_methods_classCard"><td class="memItemLeft" align="right" valign="top"><a id="a731947ca9a438d2af418586414b3e2c9"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>mousePressEvent</b> (QGraphicsSceneMouseEvent *event)</td></tr>
<tr class="separator:a731947ca9a438d2af418586414b3e2c9 inherit pub_methods_classCard"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header signals_classCard"><td colspan="2" onclick="javascript:toggleInherit('signals_classCard')"><img src="closed.png" alt="-"/>&#160;Signals inherited from <a class="el" href="classCard.html">Card</a></td></tr>
<tr class="memitem:a28843c9600a7cf78360792a21e72a8fa inherit signals_classCard"><td class="memItemLeft" align="right" valign="top"><a id="a28843c9600a7cf78360792a21e72a8fa"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>clicked</b> ()</td></tr>
<tr class="separator:a28843c9600a7cf78360792a21e72a8fa inherit signals_classCard"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f043cedcc36cc63ea403baeebb96825 inherit signals_classCard"><td class="memItemLeft" align="right" valign="top"><a id="a0f043cedcc36cc63ea403baeebb96825"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>clickedCard</b> (<a class="el" href="classCard.html">Card</a> *c)</td></tr>
<tr class="separator:a0f043cedcc36cc63ea403baeebb96825 inherit signals_classCard"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>headers/<a class="el" href="bulletcard_8h_source.html">bulletcard.h</a></li>
<li>src/bulletcard.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
